(function($, Drupal, drupalSettings) {
  Drupal.behaviors.Ajaxloader = {
    attach: function() {
      $("body").after(Drupal.theme.ajaxProgressIndicatorFullscreen());
    }
  };

  Drupal.behaviors.offsiteForm = {
    attach: function() {
      const data = drupalSettings.commerce_mastercard;
      Checkout.configure({
        merchant: data.merchant_id,
        order: {
          amount: function() {
            return data.order_amount;
          },
          currency: data.order_currency,
          description: data.campaign_name,
          id: data.order_id,
          reference: data.order_id
        },
        interaction: {
          merchant: {
            name: data.site_name
          }
        },
        session: {
          id: data.sessionid
        }
      });
      Checkout.showPaymentPage();
    }
  };
})(jQuery, Drupal, drupalSettings);
